<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_login"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".auth.FuplannerAccountActivity">


    <ImageView
        android:id="@+id/launcher_image2"
        android:layout_width="match_parent"
        android:layout_height="200sp"
        android:layout_margin="50sp"
        android:contentDescription="@string/launcher_image"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/logo_campus" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/user_l"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:hint="@string/username"
        android:text="@string/username"
        app:layout_constraintEnd_toEndOf="@+id/launcher_image2"
        app:layout_constraintStart_toStartOf="@+id/launcher_image2"
        app:layout_constraintTop_toBottomOf="@+id/launcher_image2">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/user"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ems="10"
            android:inputType="textPersonName" />
    </com.google.android.material.textfield.TextInputLayout>


    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/password_l"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:hint="@string/password"
        android:text="@string/password"
        app:layout_constraintEnd_toEndOf="@+id/launcher_image2"
        app:layout_constraintStart_toStartOf="@+id/launcher_image2"
        app:layout_constraintTop_toBottomOf="@+id/user_l">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/password"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ems="10"
            android:inputType="textPassword" />
    </com.google.android.material.textfield.TextInputLayout>


    <Button
        android:id="@+id/login"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:onClick="login"
        android:padding="10dp"
        android:text="@string/login"
        app:layout_constraintEnd_toEndOf="@+id/launcher_image2"
        app:layout_constraintStart_toStartOf="@+id/launcher_image2"
        app:layout_constraintTop_toBottomOf="@+id/password_l" />

</androidx.constraintlayout.widget.ConstraintLayout>